package com.ycwl.basic.pricing.service;

import com.ycwl.basic.pricing.dto.req.VoucherPrintReq;
import com.ycwl.basic.pricing.dto.resp.VoucherPrintResp;

/**
 * 优惠券打印服务
 */
public interface VoucherPrintService {
    
    /**
     * 打印小票
     * @param request 打印请求
     * @return 打印响应
     */
    VoucherPrintResp printVoucherTicket(VoucherPrintReq request);

    VoucherPrintResp queryPrintedVoucher(Long faceId);

    VoucherPrintResp printBookingTicket(VoucherPrintReq voucherPrintReq);
}